Subject: Re: linux-next: build failure after merge of the drm-exynos tree

From: Inki Dae <[email-masked]>
Date: Tue, 23 Jun 2015 14:30:48 +0900

Hi Stephen,

On 2015년 06월 23일 10:52, Stephen Rothwell wrote:
> Hi Inki,
> 
> After merging the drm-exynos tree, today's linux-next build (x86_64
> allmodconfig) failed like this:

Thanks for report.

I found out this problem. That is because below patch missed "static"
when defining of_graph_get_endpoint_by_regs function,
	a0f7001c18ca ("of: add helper for getting endpoint node of specific
identifiers")

For this, I will fix and post it soon.

Thanks,
Inki Dae

> 
> drivers/media/i2c/adv7604.o: In function `of_graph_get_endpoint_by_regs':
> adv7604.c:(.text+0x586c): multiple definition of `of_graph_get_endpoint_by_regs'
> drivers/media/i2c/adv7343.o:adv7343.c:(.text+0xa13): first defined here
> drivers/media/platform/soc_camera/atmel-isi.o: In function `of_graph_get_endpoint_by_regs':
> atmel-isi.c:(.text+0x1ec9): multiple definition of `of_graph_get_endpoint_by_regs'
> drivers/media/platform/soc_camera/soc_camera.o:soc_camera.c:(.text+0x2ce3): first defined here
> drivers/media/platform/soc_camera/rcar_vin.o: In function `of_graph_get_endpoint_by_regs':
> rcar_vin.c:(.text+0x307c): multiple definition of `of_graph_get_endpoint_by_regs'
> drivers/media/platform/soc_camera/soc_camera.o:soc_camera.c:(.text+0x2ce3): first defined here
> 
> Caused by commit:
> 
>   a0f7001c18ca ("of: add helper for getting endpoint node of specific identifiers")
> 
> I have used the drm-exynos from next-20150622 for today.
>